Page MenuHomePhabricator

Deploy InternetArchiveBot on the Ukrainian Wikipedia (ukwiki)
Closed, ResolvedPublic

Event Timeline

Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptNov 23 2016, 10:47 AM
Restricted Application added subscribers: Cyberpower678, Aklapper. · View Herald Transcript

Is there some discussion some where that took place that expressed that such a bot would be welcome?

I'm still waiting for a consensus discussion on the target wiki.

Cyberpower678 triaged this task as High priority.Jul 2 2017, 6:02 PM

Thank you, @Cyberpower678 . I've translated your message into Ukrainian. I hope you don't mind ;)

Piramidion added a comment.EditedJul 10 2017, 6:15 PM

As can be seen from the discussion (link), there's a clear consensus to enable IABot on ukwiki. We'd like the bot to add archive urls to all the urls, including the live ones. And also we'd like the bot to leave messages on the talk pages if it encounters some dead urls that haven't been archived and cannot be fixed.

This comment was removed by Piramidion.

Deployment has been delayed in favor of development of InternetArchiveBot v2.0 which will be using a new global engine to support wikis more easily.

@intracer and @Piramidion Thanks for your patience. Do you think you could gather a couple of translators so we can get IABot prepped for approval? We need to configure the bot's setup for this wiki.

I need the bot approvals page to get the approvals process going.

With that being said can you answer the following questions and translate the following statements?

To translate:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

Questions:

  1. Do you want talk page messages?
  2. Do you use dead link templates and archive templates?
  3. Where are your cite templates?
  4. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?
Restricted Application added a subscriber: Cirdan. · View Herald TranscriptJun 6 2018, 6:28 PM
Piramidion added a comment.EditedJun 7 2018, 7:40 AM

Hi,
You can start a new request for a bot flag here. This process should be quick.

Translations:

  • Зовнішні посилання змінено ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Привіт, колеги-редактори.\n\nЯ щойно змінив {linksrescued} {{PLURAL:{linksrescued}|зовнішнє посилання|зовнішні посилання|зовнішніх посилань}} на сторінці [[{namespacepage}]]. Будь ласка, виділіть хвильку, щоб перевірити [{diff} моє редагування]. Якщо у вас є якісь запитання, або ви хочете, щоб бот ігнорував ці посилання чи й усю сторінку загалом, будь ласка, перегляньте [[:m:InternetArchiveBot/FAQ/uk|ці прості ЧаПи]], щоб дізнатися більше. Я здійснив такі зміни:\n{modifiedlinks}\nБудь ласка, звіряйтеся з відповідями на часті запитання, коли вам потрібна інформація щодо того, як виправляти помилки, які робить бот.\n\nБувайте!
  • Знайдено зовнішні посилання, що потребують виправлення ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Привіт, колеги-редактори.\n\nЯ виявив одне або більше зовнішніх посилань, що потребують уваги, на сторінці [[{namespacepage}]]. Будь ласка, виділіть хвильку, щоб перевірити знайдені посилання і виправте їх у статті, якщо необхідно. Я виявив такі проблеми:\n{modifiedlinks}\nКоли вже внесете відповідні зміни, будь ласка, перегляньте [[:m:InternetArchiveBot/FAQ/uk|ці прості ЧаПи]], щоб дізнатися, як виправляти будь-які проблеми, що можуть виникнути зі згаданими вище посиланнями.\n\nДля вказаних URL-адрес це повідомлення більше не надсилатиметься.\n\nБувайте!
  • Проблеми з архівуванням посилань у статті ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Привіт. Під час процесу архівування архів видав помилку для одного або більше веб-сайтів, поданих мною для архівування.\nНижче я наводжу посилання, які повернулися з повідомленням про помилку, а також саме це повідомлення.\n\n{problematiclinks}\nУ будь-якому разі, це сповіщення стосовно вказаних посилань більше не надсилатиметься, і надалі я не здійснюватиму спроб заархівувати ці посилання.\n\nБувайте!
  • {link} розпізнано як недійсне посилання. Рекомендую додати {newarchive} до оригінальної URL-адреси.
  • {link} розпізнано як недійсне посилання. Архівної версії не знайдено.
  • {link} вважалося недійсним посиланням, але розпізнано як дійсне. Рекомендую прибрати позначку про недійсне посилання з цієї URL-адреси.
  • Додано архів {newarchive} до {link}
  • Архівне посилання {oldarchive} замінено на {newarchive} у {link}
  • Виправлено форматування/використання у {link}
  • Додано тег {{tlx|недійсне посилання}} до {link}
  • Вилучено тег про недійсне посилання з {link}
  • Змінено джерело для {link}
  • {problem} з помилкою {error}
  • {linksrescued} {{PLURAL:{linksrescued}|джерело|джерела|джерел}} виправлено і {linkstagged} позначено як {{PLURAL:{linkstagged}|недійсне|недійсні|недійсні}}.
  • Сповіщення про помилки, виявлені при спробі архівувати посилання
  • Сповіщення про змінені джерела, які потребують перевірки

Answers:

  1. We want talk page messages for some errors only, say, if a link cannot be archived, or it's been found dead, but no archived versions exist, etc. As for the rest, the edit descriptions and diffs would be enough.
  2. I have found these two: {{Недоступне посилання}} for dead links ({{dead link}} redirects to it), and {{webarchive}}.
  3. The citation templates can be found here. The most common are: Citation, Cite book, Cite journal, Cite news and Cite web.
  4. The most typical date formatting is as follows:
    • 7 червня 2018 (June 7, 2018 in a different order, with a month name in genitive)
    • 07.06.2018 (DD.MM.YYYY, seems to be official in Ukraine, but I'm not sure)
    • 07-06-2018 (DD-MM-YYYY)
    • 2018-06-07 (YYYY-MM-DD)

We are also fine with all the formatting types that are used in English Wikipedia, including untranslated ones. As for the least popular ones, I guess this list will do just fine. But if you're going to configure the bot to actually use one of those, I think it'd be better to use a digital one, since there might be some problems with month names localization, if the MediaWiki #time regex will be used.

P.S: What about the UI translation? Will it be brought back to translatewiki?

P.S: What about the UI translation? Will it be brought back to translatewiki?

Sorry for the long wait. IABot has had lots of bugs I wanted to fix first. As for translatewiki, you can translate everything that existed when IABot was still version 1.6, but all 2.0 content won't be available until IABot is out of the beta phase.

I will be filing a request for approval momentarily.

The IABot interface provides strange edit description, see here. Can you fix it, please?

The IABot interface provides strange edit description, see here. Can you fix it, please?

Templates are not advised in edit summaries. Can you replace that with suitable words so I can properly update the configuration?

Bot is approved.

In T151446#4550808, @Cyberpower678 wrote:
Templates are not advised in edit summaries. Can you replace that with suitable words so I can properly update the configuration?

Виправлено джерел: {linksrescued}; позначено як недійсні: {linkstagged}.

Let's try this one, because I see no other way to reword it.

Thanks!

There is one more problem: for some reason the IABot interface adds another "accessdate" parameter while there already exists "access-date" parameter. It should remove the latter one (diff). How can we fix this?

Thanks!
There is one more problem: for some reason the IABot interface adds another "accessdate" parameter while there already exists "access-date" parameter. It should remove the latter one (diff). How can we fix this?

In that huge edit, I don't see this bug. Which line are you referring to?

Cyberpower678 added a comment.EditedSep 5 2018, 3:16 PM

I think I found it. The TemplateData doesn't have access-date listed as an alias of that parameter in Cite News. Thus the bot doesn't use it.

Thanks! I've fixed it (I didn't know the bot uses TemplateData)

Thanks! I've fixed it (I didn't know the bot uses TemplateData)

In 2.0 it does. It makes managing the template information so much easier as IABot now expands to more than 25 wikis, and eventually hits a 3 digit number.

Unfortunately, if TemplateData is updated, I need to be informed as it's an expensive process so I have to actually run the import manually. I've done that now.

Cyberpower678 closed this task as Resolved.Nov 25 2018, 8:24 PM